<?php
session_start();
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');

	include "fphp.php";
	include "proceso_numtolet.php";
	$enlace=cargar_conexion();
	$codigo=$_REQUEST["cedula"];
	$contratohistorico=$_REQUEST["contrato"];

	$consulta="select * from contrato_historico where id='".$_SESSION['id_validar']."' and cedula='".$codigo."' and contrato='".$contratohistorico."' ";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	if (mysqli_num_rows($resultado)==0) {
		$consulta="insert into contrato_historico (id,cedula,contrato) values ('".$_SESSION['id_validar']."','".$codigo."','".$contratohistorico."') ";
		$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	}

	$consulta="select * from personal where id='".$_SESSION['id_validar']."' and codigo='".$codigo."' ";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$row = mysqli_fetch_array( $resultado);
	$cedula=$row['codigo'];
	$nombre=trim($row['nombres'])." ".$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'];
	$fechadesde=mostrar_fecha($row['fechai']);
	$fechahasta=mostrar_fecha($row['fechac']);
	$sueldo=$row['smes'];
	$departamento=$row['departamento'];	
	$cargo=$row['cargo'];
	$contrato=$row['contrato'];
	$nrocontrato=$row['nrocontrato'];
	$direccion=$row['dir'];
	$extralegal=$row['extralegal'];
	$auxtransp=$row['auxtransp'];
	$justicontrato=$row['justicontrato'];
	$sitiocontrat=$row['sitiocontrat'];



	//====================== buscar dias feriados y sabado y domingo
	$desde=$row['fechai'];
	$final=$row['fechac'];
	$dias=0;
	while ($desde<=$final) {
			$dia = substr($desde,8,2);
			$mes = substr($desde,5,2);
			$ano = substr($desde,0,4);
			$desde = date('Y-m-d',mktime(0,0,0,$mes,$dia+1,$ano));
			$dias++;
	}

	$consulta1="Select * from tablas  where tabla='DEPARTAMENTO' and codigo='$departamento' and id='".$_SESSION['id_validar']."' ";
	$resultado1 = mysqli_query($enlace, $consulta1)  or die($consulta1 . mysqli_error($enlace));
	$row1 = mysqli_fetch_array( $resultado1) ;
	$departamento=$row1['detalle'];

	$consulta1="Select * from tablas  where tabla='CARGO' and codigo='$cargo' and id='".$_SESSION['id_validar']."' ";
	$resultado1 = mysqli_query($enlace, $consulta1)  or die($consulta1 . mysqli_error($enlace));
	$row1 = mysqli_fetch_array( $resultado1) ;
	$cargo=$row1['detalle'];

	$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
	if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$empresa=$_SESSION['empresa_validar'];
			$registro=$row['mercantil'];
			$ubicacion=$row['pie'];
			$propietario=$row['propietario'];
			$cpropietario=$row['cpropietario'];
			$localidad=$row['localidad'];
			$rif=$row['encabeza'];
	}

	$len=strlen(number_format($sueldo,2));
	$dec=substr(number_format($sueldo,2),$len-2,2);
	$sueldo=" (Bs. ".$sueldo.") son: (".num2letras($sueldo,0)." BolÃ­vares con ".$dec."/100 centimos )";
	$dias=" ".num2letras($dias,0)." (".$dias.")";

	$len=strlen(number_format($extralegal,2));
	$dec=substr(number_format($extralegal,2),$len-2,2);
	$extralegal=" (Bs. ".$extralegal.") son: ( ".num2letras($extralegal,0)." BolÃ­vares con ".$dec."/100 centimos )";

	$len=strlen(number_format($auxtransp,2));
	$dec=substr(number_format($auxtransp,2),$len-2,2);
	$auxtransp=" ($. ".$auxtransp.") son: ( ".num2letras($auxtransp,0)." BolÃ­vares con ".$dec."/100 centimos )";

	$consulta="Select * from contrato where id='".$_SESSION['id_validar']."' and codigo = '".$contrato."'" ;
	$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$row=mysqli_fetch_array($resultado);
	$titulo=trim($row['titulo']);
	$document_pdf ="<P ALIGN='JUSTIFY'><br><center><h2><b>$titulo<br></center></h2></b><br>";
	$historico="<center>$titulo</center><br>";

	$consulta="Select * from contrato_articulo where id='".$_SESSION['id_validar']."' and codigo = '".$contrato."' order by articulo" ;
	$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	while ($row=mysqli_fetch_array($resultado)) {
		$det = str_replace("#empresa#",$empresa,$row['detalle']);
		$det = str_replace("#dias#",$dias,$det);
		$det = str_replace("#registro#",$registro,$det);
		$det = str_replace("#ubicacion#",$ubicacion,$det);
		$det = str_replace("#propietario#",$propietario,$det);
		$det = str_replace("#cpropietario#",$cpropietario,$det);
		$det = str_replace("#localidad#",$localidad,$det);
		$det = str_replace("#rif#",$rif,$det);
		$det = str_replace("#numerocontrato#",$nrocontrato,$det);
		$det = str_replace("#cedula#",$cedula,$det);
		$det = str_replace("#nombre#",$nombre,$det);
		$det = str_replace("#fechadesde#",$fechadesde,$det);
		$det = str_replace("#fechahasta#",$fechahasta,$det);
		$det = str_replace("#sueldo#",$sueldo,$det);
		$det = str_replace("#departamento#",$departamento,$det);
		$det = str_replace("#cargo#",$cargo,$det);
		$det = str_replace("#direccion#",$direccion,$det);
		$det = str_replace("#extralegal#",$extralegal,$det);
		$det = str_replace("#auxtransp#",$auxtransp,$det);
		$det = str_replace("#justicontrato#",$justicontrato,$det);
		$det = str_replace("#sitiocontrat#",$sitiocontrat,$det);

		if ($row['articulo']=='0') {
			$document_pdf = $document_pdf."<p align='justify'>";
			$document_pdf = $document_pdf.$det;
			$document_pdf = $document_pdf."</p>";
			$historico .= "<p align='justify'>$det</p>";
		} else {
			$document_pdf = $document_pdf."<p align='justify'>";
			$document_pdf = $document_pdf."<b>Art&iacute;culo No. ".trim($row['articulo']).":&nbsp;</b>";
			$document_pdf = $document_pdf.$det;
			$document_pdf = $document_pdf."</p>";
			$historico .= "<p align='justify'><b>Art&iacute;culo No. ".trim($row['articulo']).":&nbsp;</b>$det</p>";
		}
	}
	$document_pdf = $document_pdf."<table border=0 >
			<tr><td width=400>Por ".trim($empresa)."</td><td width=400>EL TRABAJADOR</td></tr>
			<br>
			<tr><td>".trim($propietario)."</td><td>Nombre:</td></tr>
			<tr><td> </td><td>C&eacute;dula:</td></tr>
			<tr><td></td><td>Huella Dactilar:</td></tr>
		</table>";

	$lcontrato='id'.$_SESSION['id_validar'].'nro'.$contratohistorico;
	$fp=fopen("contrato/".$lcontrato.".html",'w') or die("Problemas en la Grabacion del Historico de Contrato...");
	fwrite($fp,$historico);
	fclose($fp);

	mysqli_close($enlace);


	require 'dompdf/vendor/autoload.php';
	// reference the Dompdf namespace
	use Dompdf\Dompdf;
	// instantiate and use the dompdf class
	$dompdf = new Dompdf();
	$dompdf->set_option('enable_css_float', TRUE);
	$dompdf->set_option('enable_html5_parser', FALSE);
	$dompdf->loadHtml($document_pdf);
	//$dompdf->set_option('chroot', '/dompdf/');
	//$dompdf->set_option('enable_remote', TRUE);
	//$dompdf->loadHtmlFile('../archivo_trabajador_contratos_imprimir_2.php');
	// (Optional) Setup the paper size and orientation
	$dompdf->setPaper('A4', 'portrait');
	// Render the HTML as PDF
	$dompdf->render();
	// Output the generated PDF to Browser
	$dompdf->stream("Contrato de Trabajo");
